%define name	mgtools
%define version	1.0.1
%define release	%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tools and scripts to edit and visualize Meta Grammars
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{name}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/packages/packages.html#mgtools
Buildrequires:	libxml2-devel
Buildrequires:	bison
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
mgtools collects several useful tools and scripts to edit and visualize Meta
Grammars

    * smg2xml to convert MG from a simple format (smg) to XML format
    * mg.el an Emacs mode to edit MG (in both XML and SMG formats)
    * mg2smg.xsl an XSLT stylesheet to convert from XML to SMG
    * mgviewer.pl a graphical viewer/editor for MG
    * mg*2html.xsl several XSLT stylesheets to get HTML views on MG
    * mg2*.xsl several XSLT stylesheets to convert to other formats

%prep
%setup -q

%build
export LDFLAGS=-L%{_libdir}/DyAlog
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README
%{_bindir}/*
%{_datadir}/aclocal/%{name}.m4
%{_datadir}/emacs/site-lisp/mg.el
%{_datadir}/xslt



%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-5mdv2010.0
+ Revision: 430025
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-4mdv2009.0
+ Revision: 252387
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 140953
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import mgtools


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-2mdv2007.0
- Rebuild

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdk
- new version
- drop patch (merged upstream)

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.0.1-3mdk 
- buildrequires bison instead of byacc, as generated code has problems otherwise

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.0.1-2mdk 
- fix buildrequires

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.0.1-1mdk 
- first mdk release
